mkvmerge -o out [global options] [options1] <file1> [@optionsfile ...]

 Global options:
  -v, --verbose            verbose status
  -q, --quiet              suppress status output
  -o, --output out         Write to the file 'out'.
  -w, --webm               Create WebM compliant file.
  --title <title>          Title for this output file.
  --global-tags <file>     Read global tags from a XML file.

 Chapter handling:
  --chapters <file>        Read chapter information from the file.
  --chapter-language <lng> Set the 'language' element in chapter entries.
  --chapter-charset <cset> Charset for a simple chapter file.
  --cue-chapter-name-format <format>
                           Pattern for the conversion from CUE sheet
                           entries to chapter names.
  --default-language <lng> Use this language for all tracks unless
                           overridden with the --language option.

 Segment info handling:
  --segmentinfo <file>     Read segment information from the file.
  --segment-uid <SID1,[SID2...]>
                           Set the segment UIDs to SID1, SID2 etc.

 General output control (advanced global options):
  --track-order <FileID1:TID1,FileID2:TID2,FileID3:TID3,...>
                           A comma separated list of both file IDs
                           and track IDs that controls the order of the
                           tracks in the output file.
  --cluster-length <n[ms]> Put at most n data blocks into each cluster.
                           If the number is postfixed with 'ms' then
                           put at most n milliseconds of data into each
                           cluster.
  --no-cues                Do not write the cue data (the index).
  --clusters-in-meta-seek  Write meta seek data for clusters.
  --disable-lacing         Do not Use lacing.
  --enable-durations       Enable block durations for all blocks.
  --timecode-scale <n>     Force the timecode scale factor to n.

 File splitting, linking, appending and concatenating (more global options):
  --split <d[K,M,G]|HH:MM:SS|s>
                           Create a new file after d bytes (KB, MB, GB)
                           or after a specific time.
  --split timecodes:A[,B...]
                           Create a new file after each timecode A, B
                           etc.
  --split parts:start1-end1[,[+]start2-end2,...]
                           Keep ranges of timecodes start-end, either in
                           separate files or append to previous range's file
                           if prefixed with '+'.
  --split parts-frames:start1-end1[,[+]start2-end2,...]
                           Same as 'parts:', but 'startN'/'endN' are frame/
                           field numbers instead of timecodes.
  --split frames:A[,B...]
                           Create a new file after each frame/field A, B
                           etc.
  --split chapters:all|A[,B...]
                           Create a new file before each chapter (with 'all')
                           or before chapter numbers A, B etc.
  --split-max-files <n>    Create at most n files.
  --link                   Link splitted files.
  --link-to-previous <SID> Link the first file to the given SID.
  --link-to-next <SID>     Link the last file to the given SID.
  --append-to <SFID1:STID1:DFID1:DTID1,SFID2:STID2:DFID2:DTID2,...>
                           A comma separated list of file and track IDs
                           that controls which track of a file is
                           appended to another track of the preceding
                           file.
  --append-mode <file|track>
                           Selects how mkvmerge calculates timecodes when
                           appending files.
  <file1> + <file2>        Append file2 to file1.
  <file1> +<file2>         Same as "<file1> + <file2>".
  = <file>                 Don't look for and concatenate files with the same
                           base name but with a different trailing number.
  =<file>                  Same as "= <file>".
  ( <file1> <file2> )      Treat file1 and file2 as if they were concatenated
                           into a single big file.

 Attachment support (more global options):
  --attachment-description <desc>
                           Description for the following attachment.
  --attachment-mime-type <mime type>
                           Mime type for the following attachment.
  --attachment-name <name> The name should be stored for the 
                           following attachment.
  --attach-file <file>     Creates a file attachment inside the
                           Matroska file.
  --attach-file-once <file>
                           Creates a file attachment inside the
                           first Matroska file written.

 Options for each input file:
  -a, --audio-tracks <n,m,...>
                           Copy audio tracks n,m etc. Default: copy all
                           audio tracks.
  -A, --no-audio           Don't copy any audio track from this file.
  -d, --video-tracks <n,m,...>
                           Copy video tracks n,m etc. Default: copy all
                           video tracks.
  -D, --no-video           Don't copy any video track from this file.
  -s, --subtitle-tracks <n,m,...>
                           Copy subtitle tracks n,m etc. Default: copy
                           all subtitle tracks.
  -S, --no-subtitles       Don't copy any subtitle track from this file.
  -b, --button-tracks <n,m,...>
                           Copy buttons tracks n,m etc. Default: copy
                           all buttons tracks.
  -B, --no-buttons         Don't copy any buttons track from this file.
  -m, --attachments <n[:all|first],m[:all|first],...>
                           Copy the attachments with the IDs n, m etc to
                           all or only the first output file. Default: copy
                           all attachments to all output files.
  -M, --no-attachments     Don't copy attachments from a source file.
  -t, --tags <TID:file>    Read tags for the track from a XML file.
  --track-tags <n,m,...>   Copy the tags for tracks n,m etc. Default: copy
                           tags for all tracks.
  -T, --no-track-tags      Don't copy tags for tracks from the source file.
  --no-global-tags         Don't keep global tags from the source file.
  --no-chapters            Don't keep chapters from the source file.
  -y, --sync <TID:d[,o[/p]]>
                           Synchronize, adjust the track's timecodes with
                           the id TID by 'd' ms.
                           'o/p': Adjust the timecodes by multiplying with
                           'o/p' to fix linear drifts. 'p' defaults to
                           1 if omitted. Both 'o' and 'p' can be
                           floating point numbers.
  --default-track <TID[:bool]>
                           Sets the 'default' flag for this track or
                           forces it not to be present if bool is 0.
  --forced-track <TID[:bool]>
                           Sets the 'forced' flag for this track or
                           forces it not to be present if bool is 0.
  --blockadd <TID:x>       Sets the max number of block additional
                           levels for this track.
  --track-name <TID:name>  Sets the name for a track.
  --cues <TID:none|iframes|all>
                           Create cue (index) entries for this track:
                           None at all, only for I frames, for all.
  --language <TID:lang>    Sets the language for the track (ISO639-2
                           code, see --list-languages).
  --aac-is-sbr <TID[:0|1]> The track with the ID is HE-AAC/AAC+/SBR-AAC
                           or not. The value ':1' can be omitted.
  --timecodes <TID:file>   Read the timecodes to be used from a file.
  --default-duration <TID:Xs|ms|us|ns|fps>
                           Force the default duration of a track to X.
                           X can be a floating point number or a fraction.
  --fix-bitstream-timing-information <TID[:bool]>
                           Adjust the frame/field rate stored in the video
                           bitstream to match the track's default duration.
  --nalu-size-length <TID:n>
                           Force the NALU size length to n bytes with
                           2 <= n <= 4 with 4 being the default.

 Options that only apply to video tracks:
  -f, --fourcc <FOURCC>    Forces the FourCC to the specified value.
                           Works only for video tracks.
  --aspect-ratio <TID:f|a/b>
                           Sets the display dimensions by calculating
                           width and height for this aspect ratio.
  --aspect-ratio-factor <TID:f|a/b>
                           First calculates the aspect ratio by multi-
                           plying the video's original aspect ratio
                           with this factor and calculates the display
                           dimensions from this factor.
  --display-dimensions <TID:width>x<height>
                           Explicitly set the display dimensions.
  --cropping <TID:left,top,right,bottom>
                           Sets the cropping parameters.
  --stereo-mode <TID:n|keyword>
                           Sets the stereo mode parameter. It can
                           either be a number 0 - 14 or a keyword
                           (see documentation for the full list).

 Options that only apply to text subtitle tracks:
  --sub-charset <TID:charset>
                           Determines the charset the text subtitles are
                           read as for the conversion to UTF-8.

 Options that only apply to VobSub subtitle tracks:
  --compression <TID:method>
                           Sets the compression method used for the
                           specified track ('none' or 'zlib').


 Other options:
  -i, --identify <file>    Print information about the source file.
  -l, --list-types         Lists supported input file types.
  --list-languages         Lists all ISO639 languages and their
                           ISO639-2 codes.
  --capabilities           Lists optional features mkvmerge was compiled with.
  --priority <priority>    Set the priority mkvmerge runs with.
  --ui-language <code>     Force the translations for 'code' to be used.
  --command-line-charset <charset>
                           Charset for strings on the command line
  --output-charset <cset>  Output messages in this charset
  -r, --redirect-output <file>
                           Redirects all messages into this file.
  --debug <topic>          Turns on debugging output for 'topic'.
  --engage <feature>       Turns on experimental feature 'feature'.
  @optionsfile             Reads additional command line options from
                           the specified file (see man page).
  -h, --help               Show this help.
  -V, --version            Show version information.
  --check-for-updates      Check online for the latest release.


Please read the man page/the HTML documentation to mkvmerge. It
explains several details in great length which are not obvious from
this listing.

